
// Project: webCDwriter - Network CD Writing
// Author: Jörg Haeger, 10.08.2000

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class LogWin extends JDialog
{
	public LogWin()
	{
		super(CDcreator.mainWin, i18n("titleLogWin"), true);

		getContentPane().add(
			Log.getView(),
			BorderLayout.CENTER);

		JPanel panel = new JPanel();
		panel.setLayout(new FlowLayout());

		JButton close = new JButton(i18n("close"));
		close.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				setVisible(false);
			}
		});
		panel.add(close);

		getContentPane().add(panel, BorderLayout.SOUTH);

		setSize(440, 330);
		CDcreator.mainWin.center(this);
	}

	static String i18n(String str)
	{
		return CDcreator.i18n(str);
	}
}

